Name:             jboss-logging
Version:          3.3.0
Release:          9
Summary:          The JBoss Logging Framework
License:          ASL 2.0
URL:              https://github.com/jboss-logging/jboss-logging
Source0:          https://github.com/jboss-logging/jboss-logging/archive/3.3.0.Final.tar.gz
BuildRequires:    git graphviz maven-local mvn(jdepend:jdepend) mvn(log4j:log4j:12)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.logging.log4j:log4j-api)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin) mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:) mvn(org.jboss.apiviz:apiviz)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager) mvn(org.slf4j:slf4j-api)
BuildArch:        noarch

%description
This package contains the JBoss Logging Framework.

%package javadoc
Summary: Javadoc for jboss-logging

%description javadoc
This package contains the API documentation for jboss-logging.

%prep
%setup -q -n jboss-logging-3.3.0.Final

%pom_xpath_set pom:properties/pom:version.org.apache.log4j 12

sed -i "s|map = MDC.getCopyOfContextMap();|map = (Map) MDC.getCopyOfContextMap();|" \
src/main/java/org/jboss/logging/Slf4jLoggerProvider.java

%pom_remove_plugin :maven-source-plugin

cp -p src/main/resources/META-INF/LICENSE.txt .
sed -i 's/\r//' LICENSE.txt

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Mon Feb 14 2022 wangkai <wangkai385@huawei.com> - 3.3.0-9
- Rebuild for fix log4j1.x cves

* Wed Dec 29 2021 yaoxin <yaoxin30@huawei.com> - 3.3.0-8
- This package depends on log4j.After the log4j vulnerability CVE-2021-44832 is fixed,the version needs to be rebuild.

* Fri Dec 24 2021 yaoxin <yaoxin30@huawei.com> - 3.3.0-7
- This package depends on log4j.After the log4j vulnerability CVE-2021-45105 is fixed,the version needs to be rebuild.

* Thu Dec 16 2021 wangkai <wangkai385@huawei.com> - 3.3.0-6
- This package depends on log4j.After the log4j vulnerability CVE-2021-44228 is fixed,the version needs to be rebuild.

* Thu Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.3.0-5
- Package init
